import type { JSX } from '../../stencil-public-runtime';
import type { AlertAPI, AlertStates, AlertTypePropType, AlertVariantPropType, HasCloserPropType, HeadingLevel, KoliBriAlertEventCallbacks, LabelPropType } from '../../schema';
export declare class KolAlertWc implements AlertAPI {
    private readonly host?;
    private readonly close;
    private readonly handleAlertTimeout;
    render(): JSX.Element;
    _alert?: boolean;
    _hasCloser?: boolean;
    _label?: LabelPropType;
    _level?: HeadingLevel;
    _on?: KoliBriAlertEventCallbacks;
    _type?: AlertTypePropType;
    _variant?: AlertVariantPropType;
    state: AlertStates;
    validateAlert(value?: boolean): void;
    validateHasCloser(value?: HasCloserPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    private validateOnValue;
    validateOn(value?: KoliBriAlertEventCallbacks): void;
    validateType(value?: AlertTypePropType): void;
    validateVariant(value?: AlertVariantPropType): void;
    componentWillLoad(): void;
}
